Name:		q4wine
Version:	1.3.5
Release:	%mkrel 1
Summary:	Qt5 GUI for W.I.N.E
Group:		Emulators
License:	GPLv3
URL:		http://q4wine.brezblock.org.ua
Source0:	https://github.com/brezerk/q4wine/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		q4wine-1.1-r2-linking.patch

BuildRequires:	cmake
BuildRequires:	icoutils
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

Requires:	fuseiso
Requires:	icoutils
Requires:	qt5-database-plugin-sqlite
Requires:	sudo
Requires:	wget
Requires:	wine-bin

%description
Q4Wine will help you manage wine prefixes and installed applications.

General features are:
- Easy controlling for wine process;
- Autostart icons support;
- Easy cd-image use;
- You can extract icons from PE files (.exe .dll);
- Easy backup and restore for managed prefixes;
- Winetriks support.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 \
	-DLIBS_ENTRY_PATH=%{_libdir} \
	-DQT5=ON
%make_build

%install
%make_install -C build

%files
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_libdir}/lib%{name}-core.so
%{_mandir}/man1/%{name}*.1*
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_iconsdir}/ubuntu-mono-dark/scalable/apps/%{name}.svg


%changelog
* Thu May 04 2017 akien <akien> 1.3.5-1.mga6
+ Revision: 1098987
- Version 1.3.5

* Tue Jan 17 2017 akien <akien> 1.3.4-1.mga6
+ Revision: 1082163
- Version 1.3.4

* Sat Nov 12 2016 akien <akien> 1.3.3-1.mga6
+ Revision: 1066857
- Version 1.3.3

* Fri Sep 09 2016 akien <akien> 1.3.2-1.mga6
+ Revision: 1051050
- Add missing qt5-database-plugin-sqlite Requires (mga#18670)
- Version 1.3.2

* Sat Aug 27 2016 akien <akien> 1.3.1-1.mga6
+ Revision: 1049292
- Version 1.3.1

* Thu Apr 14 2016 akien <akien> 1.3-1.mga6
+ Revision: 1001368
- Version 1.3

* Fri Jan 15 2016 akien <akien> 1.2.r2-2.mga6
+ Revision: 923259
- Refer to Qt5 instead of Qt4 in summary

* Thu Jan 14 2016 akien <akien> 1.2.r2-1.mga6
+ Revision: 923051
- Version 1.2-r2
- Build with Qt5

* Wed Dec 10 2014 wally <wally> 1.1-0.r2.1.mga5
+ Revision: 802609
- add patch to fix linking
- build with system QtSingleApplication library

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + malo <malo>
    - update to 1.1-r2

* Sun Dec 01 2013 doktor5000 <doktor5000> 1.0-0.r3.4.mga4
+ Revision: 554564
-set -DLIBS_ENTRY_PATH=%%_libdir to fix library issue (mga#11845)

* Sat Oct 19 2013 umeabot <umeabot> 1.0-0.r3.3.mga4
+ Revision: 527729
- Mageia 4 Mass Rebuild

  + dams <dams>
    - clean specfile

* Tue Jun 11 2013 malo <malo> 1.0-0.r3.2.mga4
+ Revision: 442007
- spec clean-up (by Tomas Deltell)

* Sun Jun 09 2013 malo <malo> 1.0-0.r3.1.mga4
+ Revision: 441352
- add BuildRequires qt4-devel
- import of q4wine (package by Tomas Deltell - annubis)

